Bug 250977 - yelp i386 is needed in x86_64 repo
yelp i386 is needed in x86_64 repo
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-08-06 05:31 EDT by Thomas Woerner
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-07 10:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2007-08-06 05:31:46 EDT
Description of problem:
Installing firefox.i386 without firefox.86_64 is not possible, because
yelp.x86_64 has a library requirement for firefox.x86_64. yelp.i386 from the
i386 repo resolves the gnome requirement for yelp.

Version-Release number of selected component (if applicable):
Comment 1 Bill Nottingham 2007-08-06 14:08:40 EDT

We don't claim to provide the resources to completely replace any bit of x86_64
infrastructure with i386.
Comment 2 Thomas Woerner 2007-08-07 04:32:07 EDT
firefox.i386 is included in the x86_64 distribution, but it can not be used.
Most firefox plugins are i386, therefore it is a problem to use them in the
x86_64 version. There is a pluginwrapper for x86_64, I know, but there are
plugins, which are not correctly working with it.
Comment 3 Bill Nottingham 2007-08-07 10:15:54 EDT
Then fix nspluginwrapper; the point of including firefox.i386 is not to allow
its use as the sole firefox, much as the point of including libgnomeui is not to
allow  the use of a 32-bit GNOME stack as the full desktop.

Note You need to log in before you can comment on or make changes to this bug.